/*
 * The contents of this file are subject to the JOnAS Public License Version 
 * 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License on the JOnAS web site.
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.
 * See the License for the specific terms governing rights and limitations under 
 * the License.
 *
 * The Original Code is JOnAS application server code released July 1999.
 *
 * The Initial Developer of the Original Code is Bull S.A.
 * The Original Code and portions created by Bull S.A. are
 *    Copyright (C) 1999 Bull S.A. All Rights Reserved.
 *
 * Contributor(s): ______________________________________.
 *
 * --------------------------------------------------------------------------
 * $Id$
 * --------------------------------------------------------------------------
 */


package org.objectweb.jonas.adm;

import java.rmi.Remote;
import java.rmi.RemoteException;
import java.util.Enumeration;
import java.util.Properties;
import java.util.Vector;


/*
 * Definition of the administrative interface of the EJB Server.
 *
 */
public interface AdmInterface extends Remote {
    void   configureTrace (String out, String err, String level) throws RemoteException;
    void   addBeans       (Vector descNames)                     throws RemoteException;
    void   removeBeans    (Vector descNames)                     throws RemoteException;
    Vector listBeans      ()                                     throws RemoteException;
    Vector listContext    ()                                     throws RemoteException;
    Properties listEnv    ()                                     throws RemoteException;
    void   stopServer()                                          throws RemoteException;
}
